HALS_END(6) | Games Manual | HALS_END(6)

# NAME

`hals_end` —
Display HAL's last words on the console

# SYNOPSIS

`hals_end` | [`-f`]

# DESCRIPTION

`hals_end` displays the famous last words of the supercomputer HAL 9000 aboard the space-ship in Stanley Kubrick's movie "2001 - A Space Odissey".

Options:

`-f`
  Fast forward. Every movie can be played back with fast forward. This option will double the speed of the output.

# HISTORY

`hals_end` first appeared in the book "Total Interaction" (ISBN 978-3-7643-7076-3) where its source code and output illustrates the article "Remembering the Future: Memory and Interaction" by Dr. Regine Halter. The source code was set in contrast to the graphical artwork "HAL's lifespace" by Catherine Walthard. "HAL's Lifespace" and "hals_end" were respectively designed and written for this article.

# AUTHORS

`hals_end` was written by Marc Balmer <marc@msys.ch>.

# BUGS

Unlike the real HAL, this program can be repeatedly run. There should be functionality in the program to destroy itself after one run. The rationale for not doing this right now is that the movie itself can be watched several times as well.

November 12, 2013 | NetBSD 9.4